System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.StringConverter

The class creates a collection of values that can be used to specify the location in which to display content resulting from a Web navigation, such as the page navigated to when a control is clicked. This collection is commonly used in a designer to display a list of values that can be used for the Target property of a navigation control, such as the control.

Converts a value that represents the location (target) in which to display the content resulting from a Web navigation to a string. This class also converts a string to a target value.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.ComponentModel.TypeConverter+StandardValuesCollection ``

  This is an internal-only class.

  Returns a collection of standard values from the default context for the data type this type converter is designed for.

  A containing a standard set of valid values, or null if the data type does not support a standard set of values.

  An that provides a format context. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  This is an internal-only class.

  Returns a value that indicates whether the collection of standard values returned from the method is an exclusive list.

  true if the returned from is an exhaustive list of possible values; false if other values are possible.

  An that provides a format context. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  This is an internal-only class.

  Returns a value that indicates whether this object supports a standard set of values that can be picked from a list, using the specified context.

  true if should be called to find a common set of values the object supports; otherwise, false.

  An that provides a format context. 1.0.5000.0 2.0.0.0